Get Organization Upcoming Invoice
get
/v1/billing/invoices/{org_id}/upcomingPart of Billing.
Requires admin or owner role. Returns null if no billing activity yet.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
org_idrequired | string | Org Id |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/billing/invoices/{org_id}/upcoming" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
Response
{
"amount_due": 0,
"currency": "string",
"period_start": "string",
"period_end": "string",
"line_items": [
{
"description": "string",
"amount": 0,
"quantity": 0
}
]
}| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |